texlive[66923] Master/tlpkg: c2a: avoid catalogue update unless
commits+karl at tug.org
commits+karl at tug.org
Mon Apr 24 00:58:49 CEST 2023
Revision: 66923
http://tug.org/svn/texlive?view=revision&revision=66923
Author: karl
Date: 2023-04-24 00:58:48 +0200 (Mon, 24 Apr 2023)
Log Message:
-----------
c2a: avoid catalogue update unless place.
c2l: die if argument contains a /, common typo.
tl-check-wrapper-consistency: skip {context,mtxrun}.lua.
ctan2tds,
context-texlive.tlpsrc,
tlpkg-ctan-check (TLP_no_check): doc for homegrown context-texlive.
Modified Paths:
--------------
trunk/Master/tlpkg/bin/c2a
trunk/Master/tlpkg/bin/c2l
trunk/Master/tlpkg/bin/tl-check-wrapper-consistency
trunk/Master/tlpkg/bin/tlpkg-ctan-check
trunk/Master/tlpkg/libexec/ctan2tds
trunk/Master/tlpkg/tlpsrc/context-texlive.tlpsrc
Modified: trunk/Master/tlpkg/bin/c2a
===================================================================
--- trunk/Master/tlpkg/bin/c2a 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/bin/c2a 2023-04-23 22:58:48 UTC (rev 66923)
@@ -107,6 +107,14 @@
sub run_c2l {
my ($arg) = @_;
my $tmpfile = "/tmp/c2l$arg.out";
+
+ # don't bother with svn update unless we are doing place.
+ if ($arg eq "p") {
+ delete $ENV{"TLPKGINFO_CATALOGUE_NO_UPDATE"};
+ } else {
+ $ENV{"TLPKGINFO_CATALOGUE_NO_UPDATE"} = 1;
+ }
+
my @ret = `set -o pipefail; c2l $arg @ARGV </dev/null 2>&1 | tee $tmpfile`;
return ($?, @ret);
}
Modified: trunk/Master/tlpkg/bin/c2l
===================================================================
--- trunk/Master/tlpkg/bin/c2l 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/bin/c2l 2023-04-23 22:58:48 UTC (rev 66923)
@@ -15,6 +15,11 @@
exit (&main ());
sub main {
+ my $arg = $ARGV[0];
+ if ($arg =~ m!/!) {
+ die "$0: argument must not contain /: $arg\n";
+ }
+
my $real0 = Cwd::abs_path ($0);
my $scriptdir = File::Basename::dirname ($real0); # .../Master/tlpkg/bin
my $TLROOT = Cwd::abs_path ("$scriptdir/../../.."); # ...
@@ -21,7 +26,6 @@
chdir ($scriptdir) || die "chdir($scriptdir) failed"; # avoid . in PATH confusion
# platform abbrev
- (my $arg = $ARGV[0]) =~ s,/$,,; # ignore trailing /
if ($arg eq "asy") {
exec ("tl-update-asy --build");
} elsif ($arg eq "aarch") {
Modified: trunk/Master/tlpkg/bin/tl-check-wrapper-consistency
===================================================================
--- trunk/Master/tlpkg/bin/tl-check-wrapper-consistency 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/bin/tl-check-wrapper-consistency 2023-04-23 22:58:48 UTC (rev 66923)
@@ -62,7 +62,10 @@
die "readlink($ent) failed: $!" if !defined ($target);
next unless $target =~ /^\.\./; # skip all but .. symlinks
- # the target of the symlink should be executable.
+ # skip {context,mtxrun}.lua:
+ next if $ent =~ /\.lua$/;
+
+ # the target of the symlink should otherwise be executable.
warn "$ent: target $target not executable\n" if ! -x $target;
$ret{$ent} = $target; # remember name and link target
@@ -91,9 +94,6 @@
for my $k (sort keys %uw) {
next if $is_shell_script{$k}; # skip shell scripts
#
- # skip {context,mtxrun}.lua:
- next if $k =~ /\.lua$/;
- #
# also skip these special cases:
next if $k =~
/^(epspdftk|latexindent|mktex.*|texdoctk|tlcockpit|tlmgr|tlshell|xasy)$/;
Modified: trunk/Master/tlpkg/bin/tlpkg-ctan-check
===================================================================
--- trunk/Master/tlpkg/bin/tlpkg-ctan-check 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/bin/tlpkg-ctan-check 2023-04-23 22:58:48 UTC (rev 66923)
@@ -929,6 +929,7 @@
"cjkutils", # binary, from cjk
"cns", # old unchanging font under CJK on ctan
"context", # binary+taco/mojca
+ "context-texlive", # ours
"cs", # multiple .tar.gz, too painful to unpack
"ctib", # binary
"ctie", # binary
Modified: trunk/Master/tlpkg/libexec/ctan2tds
===================================================================
--- trunk/Master/tlpkg/libexec/ctan2tds 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/libexec/ctan2tds 2023-04-23 22:58:48 UTC (rev 66923)
@@ -372,6 +372,7 @@
'context-simplefonts', "&MAKEcopy",
'context-simpleslides',"&MAKEcopy",
'context-taspresent', "&MAKEcopy",
+ 'context-texlive', "die 'skipping, maintained in TL, see .tlpsrc'",
'context-title', "&MAKEcopy",
'context-top-ten', "die 'skipping, overhaul needed per author'",
'context-transliterator', "&MAKEcopy",
Modified: trunk/Master/tlpkg/tlpsrc/context-texlive.tlpsrc
===================================================================
--- trunk/Master/tlpkg/tlpsrc/context-texlive.tlpsrc 2023-04-23 20:33:38 UTC (rev 66922)
+++ trunk/Master/tlpkg/tlpsrc/context-texlive.tlpsrc 2023-04-23 22:58:48 UTC (rev 66923)
@@ -1 +1,3 @@
+shortdesc TeX Live-specific helpers for ConTeXt (caches, papersize)
+longdesc The code is in the directory texmf-dist/tex/context/texlive.
runpattern d texmf-dist/tex/context/texlive
More information about the tex-live-commits
mailing list.